Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] depmod: cannot read ELF header
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
mijenix
Guru
Guru


Joined: 22 Apr 2003
Posts: 390
Location: Switzerland

PostPosted: Mon Mar 25, 2013 9:04 pm    Post subject: [solved] depmod: cannot read ELF header Reply with quote

Hi

compiled my kernel (gentoo-sources-3.7.10) don't know if it will boot and what the problem is.
Any ideas?

Code:

Kernel: arch/x86/boot/bzImage is ready  (#1)
  INSTALL drivers/char/kcopy/kcopy.ko
  DEPMOD  3.7.10-gentoo
depmod: cannot read ELF header from /lib64/modules/3.7.10-gentoo/modules.alias
depmod: cannot read ELF header from /lib64/modules/3.7.10-gentoo/modules.alias.bin
depmod: /lib64/modules/3.7.10-gentoo/modules.builtin is not an ELF file
depmod: /lib64/modules/3.7.10-gentoo/modules.builtin.bin is not an ELF file
depmod: /lib64/modules/3.7.10-gentoo/modules.ccwmap is not an ELF file
depmod: /lib64/modules/3.7.10-gentoo/modules.dep.bin is not an ELF file
depmod: cannot read ELF header from /lib64/modules/3.7.10-gentoo/modules.devname
depmod: /lib64/modules/3.7.10-gentoo/modules.inputmap is not an ELF file
depmod: /lib64/modules/3.7.10-gentoo/modules.ofmap is not an ELF file
depmod: cannot read ELF header from /lib64/modules/3.7.10-gentoo/modules.order
depmod: cannot read ELF header from /lib64/modules/3.7.10-gentoo/modules.seriomap
depmod: /lib64/modules/3.7.10-gentoo/modules.softdep is not an ELF file
depmod: /lib64/modules/3.7.10-gentoo/modules.symbols is not an ELF file
depmod: /lib64/modules/3.7.10-gentoo/modules.symbols.bin is not an ELF file
make: *** [_modinst_post] Error 1


cheers


Last edited by mijenix on Fri Mar 29, 2013 3:19 pm; edited 3 times in total
Back to top
View user's profile Send private message
BillWho
Veteran
Veteran


Joined: 03 Mar 2012
Posts: 1600
Location: US

PostPosted: Tue Mar 26, 2013 2:38 am    Post subject: Reply with quote

mijenix,

Try depmod -av to see if that works or provides any other useful info.
_________________
Good luck :wink:

Since installing gentoo, my life has become one long emerge :)
Back to top
View user's profile Send private message
mijenix
Guru
Guru


Joined: 22 Apr 2003
Posts: 390
Location: Switzerland

PostPosted: Tue Mar 26, 2013 8:45 pm    Post subject: Reply with quote

BillWho wrote:
mijenix,

Try depmod -av to see if that works or provides any other useful info.


Code:

depmod -av
depmod: QM_MODULES: Function not implemented
Back to top
View user's profile Send private message
BillWho
Veteran
Veteran


Joined: 03 Mar 2012
Posts: 1600
Location: US

PostPosted: Wed Mar 27, 2013 12:07 am    Post subject: Reply with quote

mijenix,

Is this a first kernel configuration or an oldconfig from a previous working version :?:

Do you have the sys-apps/module-init-tools or sys-apps/kmod package :?:
_________________
Good luck :wink:

Since installing gentoo, my life has become one long emerge :)
Back to top
View user's profile Send private message
mijenix
Guru
Guru


Joined: 22 Apr 2003
Posts: 390
Location: Switzerland

PostPosted: Wed Mar 27, 2013 7:53 pm    Post subject: Reply with quote

BillWho wrote:
mijenix,

Is this a first kernel configuration or an oldconfig from a previous working version :?:

Do you have the sys-apps/module-init-tools or sys-apps/kmod package :?:


First .config, I did a make distclean before and started from scratch. I don't have any modules in the kernel I always build the drivers into the kernel, so the kernel itself boots.

Quote:

Calculating dependencies... done!
[ebuild N #] sys-apps/module-init-tools-3.16-r2 USE="-static"
[ebuild N ] sys-apps/kmod-12-r1 USE="lzma zlib -debug -doc -static-libs -tools"
[uninstall ] sys-apps/modutils-2.4.27-r1
[blocks b ] sys-apps/modutils ("sys-apps/modutils" is blocking sys-apps/module-init-tools-3.16-r2, sys-apps/kmod-12-r1)
[blocks B ] sys-apps/module-init-tools ("sys-apps/module-init-tools" is blocking sys-apps/modutils-2.4.27-r1, sys-apps/kmod-12-r1)
[blocks B ] sys-apps/kmod ("sys-apps/kmod" is blocking sys-apps/module-init-tools-3.16-r2, sys-apps/modutils-2.4.27-r1)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(sys-apps/kmod-12-r1::gentoo, ebuild scheduled for merge) pulled in by
kmod

(sys-apps/module-init-tools-3.16-r2::gentoo, ebuild scheduled for merge) pulled in by
module-init-tools


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


The following mask changes are necessary to proceed:
(see "package.unmask" in the portage(5) man page for more details)
# required by module-init-tools (argument)
# /usr/portage/profiles/package.mask:
# Samuli Suominen <ssuominen@gentoo.org> (07 Mar 2013)
# Masked in favour of sys-apps/kmod. Now is the time to file
# bugs against sys-apps/kmod if you have issues with it you
# didn't with module-init-tools.
# Later removal at 01-01-2014 by request from eudev maintainers
=sys-apps/module-init-tools-3.16-r2

NOTE: The --autounmask-keep-masks option will prevent emerge
from creating package.unmask or ** keyword changes.
Back to top
View user's profile Send private message
BillWho
Veteran
Veteran


Joined: 03 Mar 2012
Posts: 1600
Location: US

PostPosted: Wed Mar 27, 2013 9:35 pm    Post subject: Reply with quote

mijenix,

To fix that block with kmod install these one at a time

Code:
emerge -1 --nodeps virtual/modutils
emerge -1 libxslt
emerge -1 --nodeps kmod

You might want to try a depclean too.
_________________
Good luck :wink:

Since installing gentoo, my life has become one long emerge :)
Back to top
View user's profile Send private message
mijenix
Guru
Guru


Joined: 22 Apr 2003
Posts: 390
Location: Switzerland

PostPosted: Thu Mar 28, 2013 4:07 pm    Post subject: Reply with quote

BillWho wrote:
mijenix,

To fix that block with kmod install these one at a time

Code:
emerge -1 --nodeps virtual/modutils
emerge -1 libxslt
emerge -1 --nodeps kmod

You might want to try a depclean too.



Which one of those module tools is the gentoo standard and why are the needed ones not a dependencie of the gentoo-sources? Or do I miss a useflag?
Back to top
View user's profile Send private message
mijenix
Guru
Guru


Joined: 22 Apr 2003
Posts: 390
Location: Switzerland

PostPosted: Fri Mar 29, 2013 2:36 pm    Post subject: Reply with quote

modutils is for 2.4.x and older, so i unmerged it and installed kmod, warnings gone.

thx, cheers
Back to top
View user's profile Send private message
mijenix
Guru
Guru


Joined: 22 Apr 2003
Posts: 390
Location: Switzerland

PostPosted: Fri Mar 29, 2013 2:42 pm    Post subject: Reply with quote

but now I get this:

Quote:

emerge --update --newuse --deep --with-bdeps=y @world
Calculating dependencies... done!
[ebuild N ] sys-apps/modutils-2.4.27-r1
[ebuild N ] virtual/modutils-0
[ebuild U ] x11-proto/xcb-proto-1.8-r1 [1.8] PYTHON_SINGLE_TARGET="-python2_5% -python2_6% -python2_7% -python3_1% -python3_2% (-python3_3)" PYTHON_TARGETS="python2_7%* python3_2%* -python2_5% -python2_6% -python3_1% (-python3_3)"
[blocks B ] sys-apps/modutils ("sys-apps/modutils" is blocking sys-apps/kmod-12-r1)
[blocks B ] sys-apps/kmod ("sys-apps/kmod" is blocking sys-apps/modutils-2.4.27-r1)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(sys-apps/modutils-2.4.27-r1::gentoo, ebuild scheduled for merge) pulled in by
sys-apps/modutils required by (virtual/modutils-0::gentoo, ebuild scheduled for merge)

(sys-apps/kmod-12-r1::gentoo, installed) pulled in by
sys-apps/kmod required by @selected


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked
Back to top
View user's profile Send private message
mijenix
Guru
Guru


Joined: 22 Apr 2003
Posts: 390
Location: Switzerland

PostPosted: Fri Mar 29, 2013 3:19 pm    Post subject: Reply with quote

I had to build kmod with tools useflag to satisfy the virtual/modutils dep
Back to top
View user's profile Send private message
IceSunrise
n00b
n00b


Joined: 03 Mar 2008
Posts: 13
Location: Russia, Saint-Petersburg

PostPosted: Mon Apr 15, 2013 9:05 am    Post subject: Reply with quote

mijenix wrote:
I had to build kmod with tools useflag to satisfy the virtual/modutils dep


Hi mijenix,
Thanks a lot that you described your solution, it saved me some time :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum